Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class IllegalAccessException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.IllegalAccessException

All Implemented Interfaces:
  Serializable

public class IllegalAccessException
extends Exception

An IllegalAccessException is thrown when an application tries to reflectively create an instance (other than an array), set or get a field, or invoke a method, but the currently executing method does not have access to the definition of the specified class, field, method or constructor.

Since:
  JDK1.0
See Also:
  `Class.newInstance()`, `Field.set(Object, Object)`, `Field.setBoolean(Object, boolean)`, `Field.setByte(Object, byte)`, `Field.setShort(Object, short)`, `Field.setChar(Object, char)`, `Field.setInt(Object, int)`, `Field.setLong(Object, long)`, `Field.setFloat(Object, float)`, `Field.setDouble(Object, double)`, `Field.get(Object)`, `Field.getBoolean(Object)`, `Field.getByte(Object)`, `Field.getShort(Object)`, `Field.getChar(Object)`, `Field.getInt(Object)`, `Field.getLong(Object)`, `Field.getFloat(Object)`, `Field.getDouble(Object)`, `Method.invoke(Object, Object[])`, `Constructor.newInstance(Object[])`, Serialized Form

Constructor Summary
`IllegalAccessException()` Constructs an `IllegalAccessException` without a detail message.
`IllegalAccessException(String s)` Constructs an `IllegalAccessException` with a detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalAccessException

    public IllegalAccessException()

  Constructs an `IllegalAccessException` without a detail message.

### IllegalAccessException

    public IllegalAccessException(String s)

  Constructs an `IllegalAccessException` with a detail message.

Parameters:
  `s` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.